Audit Log
Audit Log Object
| Field | Type | Description |
|---|---|---|
| id | snowflake | the audit log entry's unique identifier |
| organisation_id | snowflake | the organisation's id |
| item_id | snowflake | the item's id |
| item_type | ObjectType | the item type (ObjectType enum) |
| event | audit log event | the audit log event name |
| reason | string? | the reason for the change (optional) |
| changes | array<audit log change> | array of changes made to the item |
| created_by | user | the user who made the change (full object or user ID) |
| created_at | ISO8601 timestamp | when the audit log entry was created |
Audit Log Change Object
| Field | Type | Description |
|---|---|---|
| name | string | the field name |
| old_value_type | ItemFieldType | the old value's type (ItemFieldType enum) |
| old_value | object | the previous value |
| new_value_type | ItemFieldType | the new value's type (ItemFieldType enum) |
| new_value | object | the new value |
Audit Log Event
The event field on the audit log object contains the event name as a string.
| Event | Description |
|---|---|
| organisation_update | Organisation updated |
| member_approve | Member approval |
| member_remove | Member removed |
| member_ban | Member banned |
| member_unban | Member unbanned |
| member_role | Member role changed |
| role_create | Role created |
| role_update | Role updated |
| role_delete | Role deleted |
| invite_create | Invite created |
| invite_delete | Invite deleted |
| workgroup_create | Workgroup created |
| workgroup_update | Workgroup updated |
| workgroup_delete | Workgroup deleted |
| team_create | Team created |
| team_update | Team updated |
| team_delete | Team deleted |
| team_member_add | Team member added |
| team_member_change | Team member details changed |
| team_member_remove | Team member removed |
Get Organisation Audit Logs
GET /organisations/{organisation.id}/auditlogs
Returns an array of audit log objects for the organisation.